Debian Bug report logs - #680312
unblock: webgen0.5/0.5.14+dfsg1-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Marc Dequènes (Duck)" <duck@duckcorp.org>

Date: Wed, 4 Jul 2012 22:15:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680312; Package release.debian.org. (Wed, 04 Jul 2012 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Debian BTS <submit@bugs.debian.org>
Subject: unblock: webgen0.5/0.5.14+dfsg1-3
Date: Thu, 05 Jul 2012 00:11:48 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: unblock
Severity: normal


Coin,

Please unblock package webgen0.5

webgen0.5 (0.5.14+dfsg1-3) unstable; urgency=low

  * Update dependencies to follow the new ruby policy for: exif, haml,
    and erubis.
  * Fixed breakage with the new YAML parser in Ruby 1.9, which is now
    the default version, thanks to Sebastian Reichel (Closes: #680227).
  * Removed embedded copy of JQuery and depends on libjs-jquery instead.

1) allows to get rid of old policy packages and dirty dependency  
alternatives, and is a trivial change
2) solves a breakage with the default Ruby version
3) is still a deduplication/security improvement

Regards.

unblock webgen0.5/0.5.14+dfsg1-3

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680312; Package release.debian.org. (Wed, 04 Jul 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 680312@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 680312@bugs.debian.org
Subject: Re: Bug#680312: unblock: webgen0.5/0.5.14+dfsg1-3
Date: Thu, 5 Jul 2012 00:38:40 +0200
[Message part 1 (text/plain, inline)]
o< Duck.

Marc Dequènes (Duck) <duck@duckcorp.org> (05/07/2012):
> webgen0.5 (0.5.14+dfsg1-3) unstable; urgency=low
> 
>   * Update dependencies to follow the new ruby policy for: exif, haml,
>     and erubis.
>   * Fixed breakage with the new YAML parser in Ruby 1.9, which is now
>     the default version, thanks to Sebastian Reichel (Closes: #680227).
>   * Removed embedded copy of JQuery and depends on libjs-jquery instead.
> 
> 1) allows to get rid of old policy packages and dirty dependency
> alternatives, and is a trivial change
> 2) solves a breakage with the default Ruby version
> 3) is still a deduplication/security improvement
> 
> Regards.
> 
> unblock webgen0.5/0.5.14+dfsg1-3

We can only unblock a package if it's in the archive already; otherwise
we can still approve a source debdiff before an upload, but then seeing
it (and not only the changelog entry) would be nice. ;-)

The changelog looks sane though, which is nice already.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680312; Package release.debian.org. (Wed, 04 Jul 2012 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 22:42:05 GMT) Full text and rfc822 format available.

Message #15 received at 680312@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 680312@bugs.debian.org
Subject: Re: Bug#680312: unblock: webgen0.5/0.5.14+dfsg1-3
Date: Thu, 5 Jul 2012 00:40:29 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (05/07/2012):
> We can only unblock a package if it's in the archive already; otherwise
> we can still approve a source debdiff before an upload, but then seeing
> it (and not only the changelog entry) would be nice. ;-)
> 
> The changelog looks sane though, which is nice already.

And of course trusting rmadison when one is moving between two machines
and not able to log onto franck isn't a good idea (it's been accepted
already), apologies for that.

Will check the debdiff in a few hours.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 21 Jul 2012 10:21:10 GMT) Full text and rfc822 format available.

Notification sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Bug acknowledged by developer. (Sat, 21 Jul 2012 10:21:10 GMT) Full text and rfc822 format available.

Message #20 received at 680312-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 680312-done@bugs.debian.org
Subject: Re: Bug#680312: unblock: webgen0.5/0.5.14+dfsg1-3
Date: Sat, 21 Jul 2012 12:18:38 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jul  5, 2012 at 00:11:48 +0200, Marc Dequènes (Duck) wrote:

> Please unblock package webgen0.5
> 
Looks like mehdi did that, without following up to the bug.  yay.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Aug 2012 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:30:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.